/* ============================================================================================================================================= /
 * LIBRARY:         Gestione OLED SSD1306/SH1106
 * FILE:            OLED_SSD1306_settings.h
 * LAST REV:        1.0
 * AUTHOR:          Ivo Colleoni
 * DEVICE:          PIC18F
 * CREATED:         21/08/2017
 * UPDATED:         
 *
 * DESCRIP:         Settaggi per libreria OLED_SSD1306.c
/* ============================================================================================================================================ */

// font e immagini inclusi nel progetto, commentare i font non utilizzati
#include    "GLCD_Font_dense_18x46_only_numbers.h"
#include    "GLCD_Font_9x15.h"
#include    "check.h"
// SELEZIONE DRIVER DISPLAY
//#define OLED_DRIVER_SSD1306
#define OLED_DRIVER_SH1106

// MODALITA COLLEGAMENTO,  selezionare una delle 2 commentando quella non utilizzata
#define OLED_MODE_SPI_4
//#define OLED_MODE_I2C

/************************************************************************************************************************************************
* IMPOSTAZIONI PER MODALITA' SPI
*************************************************************************************************************************************************/
#ifdef OLED_MODE_SPI_4
    
/* MODULO SPI UTILIZZATO ====================================================================================================================== */
    #define OLED_SPI_MODULE_1
//    #define OLED_SPI_MODULE_2
    
/* COSTANTI PIN =============================================================================================================================== */
    #define OLED_RST            LATCbits.LATC7
    #define OLED_CS             LATCbits.LATC4
    #define OLED_DC             LATCbits.LATC6
    
    // frequenza massima SPI 10MHz
    #define OLED_SPI_CLOCK   MASTER_FOSC_4  // clock SPI, definire in base al clock pic usato
                                                    // MASTER_FOSC_4
                                                    // MASTER_FOSC_16
                                                    // MASTER_FOSC_64
                                                    // MASTER_TMR2_2
#endif

/************************************************************************************************************************************************
* IMPOSTAZIONI PER MODALITA' I2C
*************************************************************************************************************************************************/
#ifdef OLED_MODE_I2C

/* CONFIGURAZIONE INDIRIZZO HARDWARE=========================================================================================================== */
    #define OLED_I2C_DEV_ADDR       0x00                                                // parte di indirizzo definito dai pin SA0(D/C) = 0
//    #define OLED_I2C_DEV_ADDR_2     0x01                                                // parte di indirizzo definito dai pin SA0(D/C) = 1
    
/* MODULO I2C UTILIZZATO ====================================================================================================================== */
    #define OLED_I2C_MODULE_1
//    #define OLED_I2C_MODULE_2
     
/* COSTANTI PIN =============================================================================================================================== */
    #define OLED_RST            LATCbits.LATC2

#endif

/************************************************************************************************************************************************
* COSTANTI OLED
*************************************************************************************************************************************************/
/* Orientamento del display */
#define OLED_PORTRAIT
//#define OLED_PORTRAIT_180   

/* Risoluzione */
#define X_RESOLUTION        128
#define Y_RESOLUTION        64
#define MAX_PAGES           8

/************************************************************************************************************************************************
* OFFSET SOLO PER SH1106
* Il driver SH1106  in grado di pilotare display da 132*64 pixel. Spesso per viene venduto con OLED da 128 PIXEL e il primo pixel in realt 
* alla colonna 2 della RAM, si rende necessario inserire un offset per allineare il display. 
* Se invece il display ha effettivamente 132 pixel impostare X_RESOLUTION a 132 e SH1106_X_OFFSET a 0
*************************************************************************************************************************************************/
#ifdef OLED_DRIVER_SH1106
    #define SH1106_X_OFFSET     2
#endif  

